%define ver_major 2.16

Name: gnome-session
Version: %ver_major.0
Release: alt3

Summary: The gnome session programs for the GNOME GUI desktop environment
License: LGPL
Group: Graphical desktop/GNOME
Url: ftp://ftp.gnome.org

Source: ftp://ftp.gnome.org/pub/gnome/sources/%name/%ver_major/%name-%version.tar.bz2
Source1: gnome-nautilus.png
Source2: gnome.svg
Patch: %name-2.13.4-no-crashes.patch

Conflicts: gnome-core <= 2.10.0

# From configure.in
%define esound_ver 0.2.26
%define libgnomeui_ver 2.2.0
%define gtk_ver 2.3.1
%define dbus_glib_ver 0.35
%define gnome_keyring_ver 0.5.1
%define libnotify_ver 0.2.1

PreReq: GConf2 scrollkeeper
PreReq: xinitrc

#this require provided by design-graphics package
Requires: gnome-session-splash xsetroot
# These are needed by the startgnome2 script
Requires: gstreamer dbus-tools-gui
Requires: gnome-filesystem gnome-wm
# This is because since 2.15 gnome-session and
# gnome-control-center/gnome-settings-daemon use DBus instead of Bonobo.
Requires: gnome-settings-daemon >= 2.15.90

# From configure.in
BuildPreReq: intltool >= 0.35.0
BuildPreReq: esound-devel >= %esound_ver
BuildPreReq: libgtk+2-devel >= %gtk_ver
BuildPreReq: libgnomeui-devel >= %libgnomeui_ver
BuildPreReq: libgnome-desktop-devel
BuildPreReq: libdbus-glib-devel >= %dbus_glib_ver
BuildPreReq: gnome-control-center-devel
BuildPreReq: gnome-keyring >= %gnome_keyring_ver
BuildPreReq: libnotify-devel >= %libnotify_ver
BuildPreReq: libX11-devel libXrandr-devel libXrender-devel libXt-devel libwrap-devel

BuildRequires: GConf2 browser-plugins-npapi-devel perl-XML-Parser

%description
GNOME (GNU Network Object Model Environment) is a user-friendly
set of applications and desktop tools to be used in conjunction with a
window manager for the X Window System.

This package provides tools for the the gnome desktop.

%prep
%setup -q
%patch -p1

%build
%configure PATH=$PATH:/sbin \
    --disable-schemas-install \
    --disable-scrollkeeper \
    --with-rsh-command=rsh

%make_build

%install
%makeinstall

%__cat <<__START_GNOME__ >startgnome2
#!/bin/sh

# turn on fonts antialiasing
export GDK_USE_XFT=1

# choose default browser
for browser in epiphany galeon mozilla; do
    if [ -x "%_bindir/\$browser" ]; then
	export BROWSER="%_bindir/\$browser"
	break
    fi
done

# tell restored browsers where plugins are
export MOZ_PLUGIN_PATH="${MOZ_PLUGIN_PATH:+"$MOZ_PLUGIN_PATH:"}${HOME:+"$HOME/.mozilla/plugins:"}%_libdir/mozilla/plugins:%_libdir/netscape/plugins:%browser_plugins_path"

export HELP_BROWSER=yelp

# Metacity is a default window manager
for wm in metacity sawfish sawmill enlightenment icewm wmaker fvwm2 qvwm fvwm twm kwm; do
    if [ -x "%_bindir/\$wm" ]; then
	export WINDOW_MANAGER="%_bindir/\$wm"
	break
    fi
done

# update user gstreamer registry
#if [ -x %_bindir/gst-register ]; then
#%_bindir/gst-register  --gst-debug-disable >/dev/null 2>&1
#fi

#%_bindir/xsetroot -cursor_name watch
exec %_bindir/dbus-launch %_bindir/gnome-session "\$@"
#%_bindir/xsetroot -cursor_name X_cursor
__START_GNOME__

%__install -pD -m755 startgnome2 %buildroot%_bindir/startgnome2

%__mkdir_p %buildroot%_sysconfdir/X11/wmsession.d/
%__cat << __EOF__ > %buildroot%_sysconfdir/X11/wmsession.d/02Gnome2
NAME=Gnome
ICON=%_iconsdir/gnome.svg
DESC=Gnome 2 Environment
EXEC=%_bindir/startgnome2
SCRIPT:
exec %_bindir/startgnome2
__EOF__

%__install -pD -m644 %SOURCE1 %buildroot%_datadir/pixmaps/gnome-nautilus.png
%__install -pD -m644 %SOURCE2 %buildroot%_iconsdir/gnome.svg

# Pre-create autostart directory
mkdir -p %buildroot%_datadir/gnome/autostart

%find_lang --with-gnome %name-2.0

# custom splash
ln -sf %_datadir/artworks/gnome/splash/gnome-splash.png \
%buildroot%_datadir/pixmaps/splash/gnome-splash.png

%post
%gconf2_install %name
%update_wms

%preun
if [ $1 = 0 ]; then
%gconf2_uninstall %name
fi

%postun
%clean_wms

%files -f %name-2.0.lang
%_bindir/*
%_datadir/applications/*
%dir %_datadir/gnome/autostart
%_datadir/gnome/default.session
%_datadir/gnome/default.wm
%_datadir/pixmaps/*
%_iconsdir/gnome.svg
%config %_sysconfdir/X11/*/*
%config %_sysconfdir/gconf/*/*
%_mandir/man?/*
%doc AUTHORS ChangeLog NEWS README

%changelog
* Wed Oct 04 2006 Alexey Rusakov <ktirf@altlinux.ru> 2.16.0-alt3
- added dependency on dbus-tools-gui (for dbus-launch).

* Wed Sep 27 2006 Alexey Rusakov <ktirf@altlinux.ru> 2.16.0-alt2
- fixed various problems with applying settings (incl. themes) in GNOME,
  due to DBus session unlaunched or launched improperly.

* Sun Sep 24 2006 Alexey Rusakov <ktirf@altlinux.ru> 2.16.0-alt1
- new version (2.16.0)
- added /usr/share/gnome/autostart directory.

* Fri Sep 01 2006 Alexey Rusakov <ktirf@altlinux.ru> 2.15.92-alt3
- add dependency on gnome-control-center >= 2.15.90 due to transtion from Bonobo to DBus.

* Wed Aug 30 2006 Alexey Rusakov <ktirf@altlinux.ru> 2.15.92-alt2
- rebuilt with new gstreamer.

* Sun Aug 27 2006 Alexey Rusakov <ktirf@altlinux.ru> 2.15.92-alt1
- new version (2.15.92)

* Fri Aug 18 2006 Alexey Rusakov <ktirf@altlinux.ru> 2.15.91-alt1
- new version (2.15.91)
- updated dependencies
- spec cleanup

* Thu Jun 01 2006 Alexey Rusakov <ktirf@altlinux.ru> 2.14.2-alt1
- new version 2.14.2 (with rpmrb script)

* Tue Apr 11 2006 Alexey Rusakov <ktirf@altlinux.ru> 2.14.1-alt1
- new version 2.14.1 (with rpmrb script)

* Sun Feb 11 2006 Alexey Rusakov <ktirf@altlinux.ru> 2.13.90-alt1
- new version
- Fixed Bug #8442.
- don't flip the cursor in startgnome2 script.

* Tue Feb 07 2006 Mikhail Zabaluev <mhz@altlinux.ru> 2.12.0-alt1.1
- Rebuild with libgnomeui which has been fixed up for modular Xorg
- Correct xsetroot path since it was moved to /usr/bin
- Removed Debian-style menu
- Buildreq

* Sat Sep 10 2005 Alexey Rusakov <ktirf@altlinux.ru> 2.12.0-alt1
- 2.12.0
- Removed excess buildreqs.

* Tue Aug 30 2005 Alexey Rusakov <ktirf@altlinux.ru> 2.11.91-alt1
- 2.11.91

* Mon Mar 07 2005 Yuri N. Sedunov <aris@altlinux.ru> 2.10.0-alt1
- 2.10.0

* Sun Feb 06 2005 Yuri N. Sedunov <aris@altlinux.ru> 2.9.4-alt1
- 2.9.4

* Thu Oct 28 2004 Yuri N. Sedunov <aris@altlinux.ru> 2.8.1-alt1
- 2.8.1

* Tue Sep 14 2004 Yuri N. Sedunov <aris@altlinux.ru> 2.8.0-alt1
- 2.8.0

* Mon Sep 06 2004 Yuri N. Sedunov <aris@altlinux.ru> 2.7.91-alt1
- 2.7.91

* Thu Jun 17 2004 Yuri N. Sedunov <aris@altlinux.ru> 2.6.2-alt1
- 2.6.2

* Wed Apr 21 2004 Yuri N. Sedunov <aris@altlinux.ru> 2.6.1-alt1
- 2.6.1

* Tue Mar 23 2004 Yuri N. Sedunov <aris@altlinux.ru> 2.6.0-alt1
- 2.6.0

* Tue Feb 24 2004 Yuri N. Sedunov <aris@altlinux.ru> 2.5.90-alt1
- 2.5.90

* Wed Feb 04 2004 Yuri N. Sedunov <aris@altlinux.ru> 2.5.4-alt1
- 2.5.4

* Fri Jan 16 2004 Yuri N. Sedunov <aris@altlinux.ru> 2.5.3-alt1
- 2.5.3

* Mon Oct 20 2003 Yuri N. Sedunov <aris@altlinux.ru> 2.4.1-alt1
- 2.4.1

* Mon Sep 29 2003 Yuri N. Sedunov <aris@altlinux.ru> 2.4.0-alt3
- Another fix gnome-splash location.

* Fri Sep 26 2003 Yuri N. Sedunov <aris@altlinux.ru> 2.4.0-alt2
- fix gnome-splash location.

* Tue Sep 09 2003 Yuri N. Sedunov <aris@altlinux.ru> 2.4.0-alt1
- 2.4.0

* Wed Sep 03 2003 Yuri N. Sedunov <aris@altlinux.ru> 2.3.90-alt1
- 2.3.90

* Tue Aug 19 2003 Yuri N. Sedunov <aris@altlinux.ru> 2.3.6.2-alt1
- 2.3.6.2

* Wed Jul 16 2003 Yuri N. Sedunov <aris@altlinux.ru> 2.3.4-alt1
- 2.3.4

* Sat Jul 05 2003 Yuri N. Sedunov <aris@altlinux.ru> 2.3.3.1-alt1
- 2.3.3.1

* Sun Jun 08 2003 Yuri N. Sedunov <aris@altlinux.ru> 2.3.3-alt1
- 2.3.3
- Epiphany is a default BROWSER.
- Requires gnome-wm.

* Wed May 21 2003 Yuri N. Sedunov <aris@altlinux.ru> 2.3.2-alt1
- 2.3.2

* Mon May 05 2003 Yuri N. Sedunov <aris@altlinux.ru> 2.3.1-alt1
- 2.3.1

* Mon Apr 28 2003 Yuri N. Sedunov <aris@altlinux.ru> 2.3.0-alt2
- Changed reboot-command to %_bindir/reboot and halt-command
  to %_bindir/poweroff (slava). Requires SysVinit-usermode to use.
  Close ## 2106, 1506

* Sun Mar 30 2003 Yuri N. Sedunov <aris@altlinux.ru> 2.3.0-alt1
- 2.3.0

* Thu Mar 13 2003 Yuri N. Sedunov <aris@altlinux.ru> 2.2.1-alt1
- 2.2.1

* Wed Feb 19 2003 Yuri N. Sedunov <aris@altlinux.ru> 2.2.0.2-alt2
- export BROWSER=galeon

* Tue Feb 04 2003 Yuri N. Sedunov <aris@altlinux.ru> 2.2.0.2-alt1
- 2.2.0.2

* Wed Jan 22 2003 Yuri N. Sedunov <aris@altlinux.ru> 2.2.0.1-alt1
- 2.2.0.1

* Tue Jan 21 2003 Yuri N. Sedunov <aris@altlinux.ru> 2.2.0-alt1
- 2.2.0

* Tue Jan 07 2003 Yuri N. Sedunov <aris@altlinux.ru> 2.1.90-alt1
- 2.1.90

* Tue Dec 17 2002 Yuri N. Sedunov <aris@altlinux.ru> 2.1.5-alt1
- 2.1.5

* Tue Dec 10 2002 Yuri N. Sedunov <aris@altlinux.ru> 2.1.4-alt1
- 2.1.4

* Thu Nov 28 2002 Yuri N. Sedunov <aris@altlinux.ru> 2.1.3-alt1
- 2.1.3

* Mon Nov 11 2002 Yuri N. Sedunov <aris@altlinux.ru> 2.1.2-alt2
- Built with new libwrap.

* Mon Nov 04 2002 Yuri N. Sedunov <aris@altlinux.ru> 2.1.2-alt1
- 2.1.2

* Fri Oct 04 2002 Yuri N. Sedunov <aris@altlinux.ru> 2.1.0-alt1
- 2.1.0

* Fri Oct 04 2002 Stanislav Ievlev <inger@altlinux.ru> 2.0.7-alt1.3
- remove pixmaps into design package (this package must provides
  "gnome-session-splash")

* Wed Oct 02 2002 Yuri N. Sedunov <aris@altlinux.ru> 2.0.7-alt1.2
- Fonts antialiasing turned on by default.
- Metacity is a default window manager.

* Mon Sep 30 2002 Stanislav Ievlev <inger@altlinux.ru> 2.0.7-alt1.1
- update buildreq to remove rsh

* Wed Sep 18 2002 Yuri N. Sedunov <aris@altlinux.ru> 2.0.7-alt1
- 2.0.7
- Metacity added to requires list.

* Sat Jun 22 2002 Igor Androsov <blake@altlinux.ru> 2.0.1-alt1
- New release
- gnome-session-2.0.1-splash.patch
- Fix from Yuri Sedunov <aris@altlinux.ru>
	+ Added Gnome2.xpm
	+ Replace command by macros
	+ cleanup spec
	+ clean_wms run in postun
	
* Thu May 16 2002 Igor Androsov <blace@mail.ru> 1.5.19-blk1
- New version from CVS

* Mon May 13 2002 Igor Androsov <blace@mail.ru> 1.5.18-blk1
- Changes for AltLinux
- cleanup spec
- Added wmsession and script

* Tue Mar 05 2002 Chris Chabot <chabotc@reviewboard.com>
- Final cleanups
- make .spec.in

* Sun Feb 15 2002 Chris Chabot <chabotc@reviewboard.com>
- initial spec file for gnome-session
